Verify
curl --request POST \
--url https://{environment}.ebury.io/verify \
--header 'Authorization: <authorization>' \
--header 'Content-Type: */*' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/verify"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': '*/*'
}
};
fetch('https://{environment}.ebury.io/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: */*",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.ebury.io/verify")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "*/*")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = '*/*'
response = http.request(request)
puts response.read_body"<string>"{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}This response has no body data.{
"error": "<string>",
"error_description": "<string>"
}OAuth2.0
Verify
Validate 2FA code
POST
/
verify
Verify
curl --request POST \
--url https://{environment}.ebury.io/verify \
--header 'Authorization: <authorization>' \
--header 'Content-Type: */*' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/verify"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': '*/*'
}
};
fetch('https://{environment}.ebury.io/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: */*",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.ebury.io/verify")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "*/*")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = '*/*'
response = http.request(request)
puts response.read_body"<string>"{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}This response has no body data.{
"error": "<string>",
"error_description": "<string>"
}Authorizations
An API Key.
Headers
Where credentials is a Base64 encoded string of auth_client_id:auth_client_secret
Query Parameters
Your Authorization Client ID, identifies your application to the Authorisation Server
Your Authorization Client ID, identifies your application to the Authorisation Server
The redirect URL that is registered for your application. This must match the value we hold.
Response
Redirect to your redirect_url
The response is of type string.